Page MenuHomePhabricator

remove jenkins commit hook
Open, Showstopper IssuesPublic

Description

This happens on every commit and it's super annoying to always have to wait for it:

remote: post-receive-020-notify-jenkins: Notifying Jenkins
remote: curl: (28) Connection timed out after 10004 milliseconds
zmike created this task.Jul 21 2018, 11:32 AM
zmike triaged this task as Showstopper Issues priority.
stefan_schmidt added subscribers: beber, stefan_schmidt.

@beber please have a look why we are running into thee timeouts with curl.

I am almost ready to turn off most of the jenkins jobs, but I doubt that would help this problem.

beber closed this task as Resolved.Aug 7 2018, 3:34 PM

Instead of removing it, I updated the gitolite config to use the right endpoint, the issue should be fixed now.

zmike reopened this task as Open.Aug 8 2018, 12:01 PM

Not fixed. Now it's just a different error:

remote: post-receive-020-notify-jenkins: Notifying Jenkins
remote: curl: (22) The requested URL returned error: 503 Service Unavailable
beber added a comment.Aug 8 2018, 12:32 PM

jenkins is currently down as the process hangs.
Hiding the error would create confusion since Jenkins will not be notified.

beber closed this task as Resolved.Aug 8 2018, 4:29 PM

Jenkins have been fixed

bu5hm4n reopened this task as Open.Aug 9 2018, 8:39 AM
bu5hm4n added a subscriber: bu5hm4n.

remote: curl: (22) The requested URL returned error: 503 Service Unavailable

still happens